\name{compatible.fasp}
\alias{compatible.fasp}
\title{Test Whether Two Function Arrays Are Compatible}
\description{
  Tests whether two function arrays (class \code{"fasp"})
  are compatible.
}
\usage{
  compatible.fasp(A, B)
}
\arguments{
  \item{A,B}{Function arrays (object of class \code{"fasp"}).}
}
\details{
  An object of class \code{"fasp"} can be regarded as an array
  of functions. Such objects are returned by the
  command \code{\link{alltypes}}.

  This function tests whether two such objects are compatible
  (so that, for example, they could be added or subtracted).
  
  The functions are compatible if the arrays have the same dimensions,
  and the corresponding functions in each cell of the array
  are compatible as defined by \code{\link{compatible.fv}}.
}
\value{
  Logical value: \code{TRUE} if the objects are compatible, and \code{FALSE}
  if they are not.
}

\author{Adrian Baddeley
  \email{adrian@maths.uwa.edu.au}
  \url{http://www.maths.uwa.edu.au/~adrian/}
  and Rolf Turner
  \email{r.turner@auckland.ac.nz}
}
\keyword{spatial}
\keyword{manip}
